#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define mysql_conf_timestamp 20170512

%define rel 1

Name:           akonadi
Epoch:          1
Version: 25.03.90
Release:        %mkrel %{rel}
Summary:        An extensible cross-desktop storage service for PIM
License:        LGPLv2+
Group:          Networking/WWW
Url:            https://invent.kde.org/pim/akonadi
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## mysql config
Source10:       akonadiserverrc.mysql
Source11:       akonadiserverrc.sqlite

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Designer)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(AccountsQt6)
BuildRequires:  cmake(KAccounts6) >= 24.01

BuildRequires:  shared-mime-info >=  0.20
BuildRequires:  libxslt-proc
BuildRequires:  libxml2-utils
BuildRequires:  mysql-devel
BuildRequires:  postgresql-devel-virtual
BuildRequires:  boost-devel
BuildRequires:  xsltproc

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxslt)

# backends, used at buildtime to query known locations of server binaries
BuildRequires:  mysql

Requires:       qtbase6-database-plugin-mysql
Requires:       mysql
Requires:       mysql-core
Requires:       mysql-common
# Needed for mysqlcheck  which is used in akonadi
Requires:       mysql-client

Requires(post):   update-alternatives
Requires(postun): update-alternatives

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files -f %name.lang
%doc README.md
%{_kf6_categoriesdir}/akonadi.*categories
%dir %{_kf6_sysconfdir}/xdg/%{name}
%ghost %config(missingok,noreplace) %{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/mysql-global.conf
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/mysql-local.conf
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.mysql
%config(noreplace) %{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.sqlite
%{_kf6_bindir}/*
%dir %{_kf6_libdir}/%{name}
%{_kf6_datadir}/dbus-1/services/*
%{_kf6_datadir}/mime/packages/akonadi-mime.xml
%{_qt6_plugindir}/pim6/akonadi/akonadi_test_searchplugin.so
%{_qt6_plugindir}/designer/akonadi6widgets.so
%{_kf6_datadir}/akonadi/
%{_kf6_datadir}/config.kcfg/resourcebase.kcfg
%{_kf6_datadir}/kf6/akonadi
%{_kf6_datadir}/kf6/akonadi_knut_resource
%{_kf6_iconsdir}/hicolor/*/*/akonadi.*
%{_kf6_datadir}/kdevappwizard/templates/akonadiresource.tar.bz2
%{_kf6_datadir}/kdevappwizard/templates/akonadiserializer.tar.bz2

%post
%{_sbindir}/update-alternatives \
  --install %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc \
  akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.sqlite \
  8

%{_sbindir}/update-alternatives \
  --install %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc \
  akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.mysql \
  10

%postun
if [ $1 -eq 0 ] ; then
%{_sbindir}/update-alternatives \
  --remove akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.sqlite
fi

if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
  --remove akonadiserverrc \
  %{_kf6_sysconfdir}/xdg/akonadi/akonadiserverrc.mysql
fi

#------------------------------------------------------------------------------

%define akonadiprivate_major 6
%define libakonadiprivate %mklibname kpim6akonadiprivate %{akonadiprivate_major}

%package -n     %libakonadiprivate
Summary:        Akonadi Private library
Group:          System/Libraries

%description -n %libakonadiprivate
Akonadi Private library.

%files -n %libakonadiprivate
%_kf6_libdir/libKPim6AkonadiPrivate.so.%{akonadiprivate_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadicore_major 6
%define libkpimakonadicore %mklibname kpim6akonadicore %{kpimakonadicore_major}

%package -n     %libkpimakonadicore
Summary:        Akonadi Core library
Group:          System/Libraries

%description -n %libkpimakonadicore
Akonadi Core library.

%files -n %libkpimakonadicore
%_kf6_libdir/libKPim6AkonadiCore.so.%{kpimakonadicore_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadiagentbase_major 6
%define libkpimakonadiagentbase %mklibname kpim6akonadiagentbase %{kpimakonadiagentbase_major}

%package -n     %libkpimakonadiagentbase
Summary:        Akonadi Agent Base library
Group:          System/Libraries

%description -n %libkpimakonadiagentbase
Akonadi Agent Base library.

%files -n %libkpimakonadiagentbase
%_kf6_libdir/libKPim6AkonadiAgentBase.so.%{kpimakonadiagentbase_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadiwidgets_major 6
%define libkpimakonadiwidgets %mklibname kpim6akonadiwidgets %{kpimakonadiwidgets_major}

%package -n     %libkpimakonadiwidgets
Summary:        Akonadi Widgets library
Group:          System/Libraries

%description -n %libkpimakonadiwidgets
Akonadi Widgets library.

%files -n %libkpimakonadiwidgets
%_kf6_libdir/libKPim6AkonadiWidgets.so.%{kpimakonadiwidgets_major}{,.*}

#------------------------------------------------------------------------------

%define kpimakonadixml_major 6
%define libkpimakonadixml %mklibname kpim6akonadixml %{kpimakonadixml_major}

%package -n     %libkpimakonadixml
Summary:        Akonadi Xml library
Group:          System/Libraries

%description -n %libkpimakonadixml
Akonadi Xml library.

%files -n %libkpimakonadixml
%_kf6_libdir/libKPim6AkonadiXml.so.%{kpimakonadixml_major}{,.*}

#------------------------------------------------------------------------------

%define akonadi_devel %mklibname kpim6akonadi -d

%package -n     %akonadi_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       akonadi = %epoch:%version-%release
Requires:       %libakonadiprivate = %epoch:%version-%release
Requires:       %libkpimakonadicore = %epoch:%version-%release
Requires:       %libkpimakonadiagentbase = %epoch:%version-%release
Requires:       %libkpimakonadiwidgets = %epoch:%version-%release
Requires:       %libkpimakonadixml = %epoch:%version-%release
Requires:       boost-devel

Provides:       akonadi-devel = %epoch:%version-%release

%description -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akonadi_devel
%{_includedir}/KPim6/*
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/KPim6Akonadi/
%{_kf6_datadir}/dbus-1/interfaces/*.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DMYSQLD_EXECUTABLE=%{_kf6_sbindir}/mysqld \
           -DINSTALL_APPARMOR:BOOL=OFF
%cmake_build

%install
%cmake_install

# We own this as this is present in some packages like korganiser/kmail
mkdir -p %{buildroot}%{_kf6_libdir}/%{name}
mkdir -p %{buildroot}%{_kf6_datadir}/%{name}/agents
mkdir -p %{buildroot}%{_kf6_datadir}/%{name}/plugins

install -m644 %{SOURCE10} %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.mysql
install -m644 %{SOURCE11} %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc.sqlite

touch -d %{mysql_conf_timestamp} \
  %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/mysql-global*.conf \
  %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/mysql-local.conf

# %%ghost'd global akonadiserverrc
touch akonadiserverrc
install -p -m644 -D akonadiserverrc %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/akonadiserverrc

## unpackaged files
# omit mysql-global-mobile.conf
rm -fv %{buildroot}%{_kf6_sysconfdir}/xdg/%{name}/mysql-global-mobile.conf

%find_lang %name --all-name


%changelog
* Sat Mar 29 2025 daviddavid <daviddavid> 1:25.03.90-1.mga10
+ Revision: 2170675
- New version 25.03.90

* Sun Mar 16 2025 wally <wally> 1:24.12.3-2.mga10
+ Revision: 2164719
- rebuild for libxml2 2.13.6
+ daviddavid <daviddavid>
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 1:24.12.2-1.mga10
+ Revision: 2147050
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 1:24.12.1-1.mga10
+ Revision: 2136443
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 1:24.12.0-1.mga10
+ Revision: 2123689
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 1:24.11.80-1.mga10
+ Revision: 2116333
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 1:24.08.3-1.mga10
+ Revision: 2113936
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 1:24.08.2-1.mga10
+ Revision: 2105431
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 1:24.08.1-1.mga10
+ Revision: 2097294
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 1:24.08.0-1.mga10
+ Revision: 2087497
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2084978
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073101
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069693
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058493
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2046536
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037547
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2033680
- New version 24.01.90

* Wed Jan 03 2024 daviddavid <daviddavid> 1:24.01.85-2.mga10
+ Revision: 2026675
- enable KAccounts6 support

* Mon Jan 01 2024 neoclust <neoclust> 1:24.01.85-1.mga10
+ Revision: 2025019
- New version 24.01.85

* Fri Nov 17 2023 daviddavid <daviddavid> 1:24.01.75-2.mga10
+ Revision: 2007278
- fix akonadi-devel dependencies

* Fri Nov 17 2023 neoclust <neoclust> 1:24.01.75-1.mga10
+ Revision: 2007259
- New version 24.01.75

* Sun Sep 24 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1990189
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958727
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946395
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941685
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922809
- New version 22.12.0

* Tue Nov 29 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1912781
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905156
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886674
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1882629
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1872973
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853867
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1850920
- New version 22.03.90

* Fri Apr 08 2022 wally <wally> 1:21.12.0-2.mga9
+ Revision: 1848133
- add upstream patch to fix build with GCC 12 (standard attributes in middle of decl-specifiers)

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763758
- New version 21.12.0
- New version 21.11.90

* Thu Sep 09 2021 wally <wally> 1:21.04.1-2.mga9
+ Revision: 1744643
- rebuild for boost 1.77.0

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1723960
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718255
- New version 21.04.0
- New version 21.04.0
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698452
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1693992
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655514
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1643900
- New version 20.08.3
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633705
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1626958
- New version 20.08.1

* Thu Aug 20 2020 daviddavid <daviddavid> 1:20.08.0-2.mga8
+ Revision: 1616718
- rebuild against current kde apps stack

* Wed Aug 19 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1615592
- New version 20.08.0

* Mon Jul 13 2020 daviddavid <daviddavid> 1:20.04.3-2.mga8
+ Revision: 1605733
- rebuild for new kaccounts-integration

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604022
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596753
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584401
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568036
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559226
- New version 19.12.3

* Wed Feb 19 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1543648
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513196
- New version 19.12.2

* Wed Jan 22 2020 daviddavid <daviddavid> 1:19.12.0-2.mga8
+ Revision: 1482025
- attempt to fix missing akonadi mysql default configuration (mga#26096)
- disable apparmor support
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1467553
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457800
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446940
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1424890
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390349
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387553
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1381211
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375425
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365468
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356403
- New version 18.12.1

* Sun Jan 06 2019 daviddavid <daviddavid> 1:18.12.0-2.mga7
+ Revision: 1350065
- try to fix unavailable MySQL server default configuration (mga#23627)
- move dbus-1/interfaces files to -devel subpkg
- fix some summaries and descriptions

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339417
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332648
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327301
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1294236
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1228854
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201798
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194822
- New version 17.12.1

* Mon Jan 01 2018 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1188813
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1142939
- New version 17.08.0

* Sun Aug 06 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1138068
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 1:17.04.3-2.mga7
+ Revision: 1133525
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1129971
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1089977
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076712
- New version 16.12.0

* Thu Dec 08 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1073204
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067250
- New version 16.08.3

* Fri Nov 11 2016 daviddavid <daviddavid> 1:16.08.2-2.mga6
+ Revision: 1066366
- rebuild for new Qt 5.6.2 (mga#19756)

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061309
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050576
- New version 16.08.1

* Tue Aug 23 2016 daviddavid <daviddavid> 1:16.08.0-2.mga6
+ Revision: 1047948
- devel subpackage requires boost-devel
- conflicts current kdepimlibs-devel 16.04.3

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047207
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1039973
- New version 16.04.3
- New version 16.04.3
- New version 16.04.2

* Wed Jun 01 2016 daviddavid <daviddavid> 1:16.04.1-2.mga6
+ Revision: 1019686
- rebuild for new gcc 5.4.0

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012464
- New version 16.04.1
- New version 16.04.1

* Mon Apr 25 2016 neoclust <neoclust> 1:16.04.0-2.mga6
+ Revision: 1006094
- Fix an error in the file list

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004254
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 1:16.03.80-3.mga6
+ Revision: 996005
- Do not add epoch in this obsolete
- Fix conflicts
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991108
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987372
- New version 15.12.2

* Thu Jan 21 2016 neoclust <neoclust> 1:15.12.1-2.mga6
+ Revision: 926166
- Fix requires

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922547
- New version 15.12.1
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911886
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905348
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901084
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890556
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880377
- New version 15.08.1
- New version 15.08.1

* Sat Sep 05 2015 neoclust <neoclust> 1:15.08.0-2.mga6
+ Revision: 873110
- Fix require into qtbase5-database-plugin-mysql

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865895
- New version 15.08.0
- New version 15.07.90

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-3.mga6
+ Revision: 863692
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 862310
- Add obsoletes to ease upgrade

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861708
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 1:15.07.80-2.mga6
+ Revision: 858765
- Fix devel package name

* Tue Jul 28 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 858411
- New version 15.07.80

* Sun Jul 19 2015 neoclust <neoclust> 1:1.13.0-4.mga6
+ Revision: 855527
- Revert to qt4 release

* Fri Jul 17 2015 neoclust <neoclust> 1:5.0.51-0.git3eb41245b3.1.mga6
+ Revision: 854893
- New Snapshot ( KF5 )

* Wed Oct 15 2014 umeabot <umeabot> 1:1.13.0-4.mga5
+ Revision: 745763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.13.0-3.mga5
+ Revision: 686475
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:1.13.0-2.mga5
+ Revision: 677728
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 lmenut <lmenut> 1:1.13.0-1.mga5
+ Revision: 663099
- Update to 1.13.0

* Mon Jul 14 2014 lmenut <lmenut> 1:1.12.91-1.mga5
+ Revision: 652076
- Update to 1.12.91

* Thu Apr 17 2014 lmenut <lmenut> 1:1.12.1-1.mga5
+ Revision: 615503
- Update to 1.12.1

* Fri Mar 07 2014 neoclust <neoclust> 1:1.11.80-1.mga5
+ Revision: 601014
- New version 1.11.80

* Thu Feb 13 2014 neoclust <neoclust> 1:1.11.0-1.mga5
+ Revision: 590793
- New version 1.11.0

* Sun Feb 09 2014 barjac <barjac> 1:1.10.3-3.mga5
+ Revision: 587058
- rebuild against boost-1.55

* Mon Oct 21 2013 umeabot <umeabot> 1:1.10.3-2.mga5
+ Revision: 539745
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 neoclust <neoclust> 1:1.10.3-1.mga4
+ Revision: 492881
- New version 1.10.3

* Fri Jul 26 2013 sander85 <sander85> 1:1.10.2-1.mga4
+ Revision: 458337
- New version: 1.10.2

* Thu Jul 25 2013 sander85 <sander85> 1:1.10.1-1.mga4
+ Revision: 457951
- New version: 1.10.1

* Thu Jul 11 2013 fwang <fwang> 1:1.10.0-1.mga4
+ Revision: 452860
- new version 1.10.0

* Mon Jun 24 2013 neoclust <neoclust> 1:1.9.80-1.mga4
+ Revision: 446288
- New version

* Sun May 26 2013 neoclust <neoclust> 1:1.9.2-1.mga4
+ Revision: 428353
- New version

* Wed Apr 10 2013 malo <malo> 1:1.9.1-2.mga3
+ Revision: 409437
- rebuild for boost 1.53

* Tue Mar 12 2013 neoclust <neoclust> 1:1.9.1-1.mga3
+ Revision: 402184
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1:1.9.0-2.mga3
+ Revision: 345371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 fwang <fwang> 1:1.9.0-1.mga3
+ Revision: 334489
- new version 1.9.0

* Thu Dec 20 2012 fwang <fwang> 1:1.8.80-1.mga3
+ Revision: 332929
- rebuild for new boost

* Wed Nov 21 2012 mikala <mikala> 1:1.8.80-0.mga3
+ Revision: 320169
- Update tarball to 1.8.80

* Tue Nov 06 2012 mikala <mikala> 1:1.8.1-1.mga3
+ Revision: 314583
- Update tarball to 1.8.1
- Use pkgconfig() for BR
- Enable postgresql support

* Tue Jul 31 2012 fwang <fwang> 1:1.8.0-2.mga3
+ Revision: 276495
- rebuild for new boost

* Wed Jul 25 2012 neoclust <neoclust> 1:1.8.0-1.mga3
+ Revision: 274383
- New version 1.8.0

* Fri Jun 29 2012 shlomif <shlomif> 1:1.7.90-1.mga3
+ Revision: 264891
- Broke up the long description line.
- Remove trailing space
- New version - 1.7.90

* Tue May 29 2012 kamil <kamil> 1:1.7.2-2.mga3
+ Revision: 248956
- rebuild against boost 1.49.0

* Sun Apr 08 2012 mikala <mikala> 1:1.7.2-1.mga2
+ Revision: 229694
- Update tarball to 1.7.2

* Fri Mar 09 2012 fwang <fwang> 1:1.7.1-1.mga2
+ Revision: 222091
- new version 1.7.1

* Tue Jan 24 2012 fwang <fwang> 1:1.7.0-1.mga2
+ Revision: 200640
- new version 1.7.0
+ dmorgan <dmorgan>
- Own %%{_libdir}/%%{name}

* Tue Dec 27 2011 mikala <mikala> 1:1.6.90-1.mga2
+ Revision: 188228
- Remove the dummy package (akonadi-common)
- fix -devel package to follow policy
- Update tarball to 1.6.90
- Fix macro usage

* Mon Nov 28 2011 fwang <fwang> 1:1.6.2-2.mga2
+ Revision: 173537
- rebuild for new boost

* Wed Oct 05 2011 mikala <mikala> 1:1.6.2-1.mga2
+ Revision: 151573
- Update tarball to 1.6.2
- remove %%defattr() & %%clean section

* Sun Sep 18 2011 fwang <fwang> 1:1.6.1-1.mga2
+ Revision: 144806
- new version 1.6.1
- rebuild for new boost

* Mon Jul 11 2011 dmorgan <dmorgan> 1:1.6.0-3.mga2
+ Revision: 122228
- Because of the file move, requires akonadi in the devel package

* Mon Jul 11 2011 dmorgan <dmorgan> 1:1.6.0-2.mga2
+ Revision: 122220
- Those files are needed at runtime

* Mon Jul 11 2011 mikala <mikala> 1:1.6.0-1.mga2
+ Revision: 121981
- Update tarball to 1.6.0
- Reverse previous commit regarding dbus files.

* Thu Jul 07 2011 mikala <mikala> 1:1.5.80-3.mga2
+ Revision: 119627
- Move dbus files from -devel to main package

* Wed Jun 29 2011 mikala <mikala> 1:1.5.80-2.mga2
+ Revision: 115646
- Add a min version for soprano BR
- Update tarball to 1.5.80

* Wed Jun 22 2011 fwang <fwang> 1:1.5.3-2.mga2
+ Revision: 111858
- rebuild for new boost

* Fri Jun 10 2011 mikala <mikala> 1:1.5.3-1.mga2
+ Revision: 103249
- Update tarball to 1.5.3
- Remove old obsoletes & conflicts

* Wed Apr 20 2011 mikala <mikala> 1:1.5.2-2.mga1
+ Revision: 88893
- Use %%config for mysql config files available in /etc/akonadi

* Sun Apr 10 2011 mikala <mikala> 1:1.5.2-1.mga1
+ Revision: 82718
- Update tarball to 1.5.2

* Thu Mar 24 2011 boklm <boklm> 1:1.5.1-2.mga1
+ Revision: 76127
- rebuild for bug #497

* Sat Mar 19 2011 mikala <mikala> 1:1.5.1-1.mga1
+ Revision: 74436
- Upgrade tarball to 1.5.1
- Remove BuildRoot
- Remove Patch0 (was not applied since at least 1.5.0)

* Wed Jan 26 2011 ahmad <ahmad> 1:1.5.0-1.mga1
+ Revision: 39856
- update to 1.5.0

* Thu Jan 13 2011 mikala <mikala> 1:1.4.95-1.mga1
+ Revision: 16351
- imported package akonadi


* Sat Jan 08 2011 Funda Wang <fwang@mandriva.org> 1:1.4.95-1mdv2011.0
+ Revision: 630223
- new version 1.4.95

* Wed Jan 05 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.4.91-0.gitf2755b9b.1mdv2011.0
+ Revision: 628809
- Update to git snapshot ( akonadi 1.4.91 )
  Remove patch0, should not be necessary with new MySQL

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 1:1.4.90-1mdv2011.0
+ Revision: 623409
- update to new version 1.4.90

* Mon Dec 13 2010 John Balcaen <mikala@mandriva.org> 1:1.4.80-1mdv2011.0
+ Revision: 620681
- Update to 1.4.80

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 1:1.4.54-1.git20101119.1mdv2011.0
+ Revision: 599448
- new snapshot needed by kdepimlibs

* Fri Oct 08 2010 Funda Wang <fwang@mandriva.org> 1:1.4.52-3.svn1183867.1mdv2011.0
+ Revision: 584270
- new snapshot

* Sat Oct 02 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1:1.4.52-2mdv2011.0
+ Revision: 582569
- patch1: remove exact sqlite version check, upstream SVN 1167021

* Mon Aug 30 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.4.52-1mdv2011.0
+ Revision: 574459
- Update to 1.4.52

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1:1.4.0-2mdv2011.0
+ Revision: 572120
- rebuild for new boost

* Tue Aug 10 2010 Funda Wang <fwang@mandriva.org> 1:1.4.0-1mdv2011.0
+ Revision: 568517
- update to new version 1.4.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix mysql requires

* Wed Jul 28 2010 Funda Wang <fwang@mandriva.org> 1:1.3.90-1mdv2011.0
+ Revision: 562174
- 1.3.90 final

* Wed Jul 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.81-0.1132031.1mdv2011.0
+ Revision: 556303
- Update to new snapshot

* Wed Jun 02 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-11mdv2010.1
+ Revision: 546942
- Add requires
  CCBUG: 59580

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-10mdv2010.1
+ Revision: 546143
- Rebuild in release mode

* Wed Apr 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-9mdv2010.1
+ Revision: 532668
- Do not use mysq_upgrade before the socket exist

* Tue Apr 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-8mdv2010.1
+ Revision: 532012
- Fix P100 ( upstream commit 1111609)
- Replace P1 and P2 by my backport in branch ( P100 )
  BUG: 53815
- Fix patch1 and Patch2 ( after upstream review )

* Sun Apr 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-7mdv2010.1
+ Revision: 531234
- Fix typo

* Sun Apr 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-6mdv2010.1
+ Revision: 531225
- P2: Try to run mysql_upgrade

* Wed Mar 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-5mdv2010.1
+ Revision: 527138
- Add trunk akonadi patches

* Mon Mar 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-4mdv2010.1
+ Revision: 526315
- Properly backport previous patch
- Fix the add of some missing tables in the mysql db

* Fri Feb 19 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-3mdv2010.1
+ Revision: 508331
- Fix error in plugin load patch

* Thu Feb 18 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-2mdv2010.1
+ Revision: 507807
- Adapt to new mysql

* Wed Feb 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.3.1-1mdv2010.1
+ Revision: 503666
- New version 1.3.1

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1:1.3.0-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1:1.3.0-2mdv2010.1
+ Revision: 500054
- rebuild for new boost

* Wed Jan 20 2010 Funda Wang <fwang@mandriva.org> 1:1.3.0-1mdv2010.1
+ Revision: 494001
- New verison 1.3.0

* Wed Jan 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.90-0.1070828.1mdv2010.1
+ Revision: 486982
- New snapshot

* Sun Dec 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.80-0.1064406.1mdv2010.1
+ Revision: 480494
- New snapshot

  + Funda Wang <fwang@mandriva.org>
    - update url

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.61-0.1044603.2mdv2010.1
+ Revision: 465101
- Rebuild against new qt

* Wed Nov 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.61-0.1044603.1mdv2010.1
+ Revision: 460424
- update to a svn snapshot (needed for next kdepimlibs4)

* Tue Sep 29 2009 Anssi Hannula <anssi@mandriva.org> 1:1.2.1-5mdv2010.0
+ Revision: 450957
- require mysql-core instead of full mysql suite on 2010.0+

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove kdepim4-runtime requires: Not a good idea, add cyclic dependancies

* Thu Sep 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:1.2.1-3mdv2010.0
+ Revision: 428711
- Add Requires

* Mon Aug 31 2009 Helio Chissini de Castro <helio@mandriva.com> 1:1.2.1-2mdv2010.0
+ Revision: 423074
- New upstream release

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1:1.1.95-7mdv2010.0
+ Revision: 418798
- rebuild for new boost

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1:1.1.95-6mdv2010.0
+ Revision: 409518
- Force exclude old akonadi-common

* Thu Jun 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.95-1mdv2010.0
+ Revision: 388896
- Update to version 1.1.95

* Wed Jun 03 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.90-1mdv2010.0
+ Revision: 382537
- Update for required 1.1.90 in KDE 4.3 beta. From now we will ditch use a branch svn code for official tarballs releases.

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update release because of a BS pb
    - Fix file list
    - New snapshot

* Fri May 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.85-0.968058.1mdv2010.0
+ Revision: 376269
- New snapshot

* Thu May 07 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.85-0.964925.1mdv2010.0
+ Revision: 372988
- New snapshot

* Mon May 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.85-0.963140.1mdv2010.0
+ Revision: 371521
- Fix file list
- New snapshot

* Fri May 01 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.80-0.959021.1mdv2010.0
+ Revision: 369502
- Add soprano as buildrequires
- New snapshot ( needed for kde 4.2.70)

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 1.1.1-3mdv2009.1
+ Revision: 361242
- rebuild for new boost

* Wed Feb 25 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.1-2mdv2009.1
+ Revision: 344977
- Put requires in right place

* Wed Jan 21 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.1-1mdv2009.1
+ Revision: 332368
- New upstream version released to match KDE 4.2

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 323907
- New version 1.1.0

* Wed Dec 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.80-2.895463.1mdv2009.1
+ Revision: 312593
- New snapshot
  Remove patch0:  do not add a patch where a simple CMake argument is enough

  + Funda Wang <fwang@mandriva.org>
    - use patch rather than hardcode defination on paths

* Thu Dec 04 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.80-2mdv2009.1
+ Revision: 309847
- Move conf files in /etc

* Wed Nov 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.80-1mdv2009.1
+ Revision: 304729
- Fix BuildRequires
- Fix Requires ( thanks to Piggz)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update to official 1.0.80 tarball

* Tue Oct 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.80-0.876753.1mdv2009.1
+ Revision: 297790
- New snapshot
- Fix Requires
- Fix DMYSQLD_EXECUTABLE

* Mon Sep 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-2mdv2009.0
+ Revision: 278374
- mysqld is required at compile time

* Tue Jul 22 2008 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 240948
- New upstream final akonadi release

  + Funda Wang <fwang@mandriva.org>
    - fix source and url

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.82.0-1mdv2009.0
+ Revision: 238876
- fix conditional building

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version tied to kde 4.1 beta 2 release

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 0.81.0-2mdv2009.0
+ Revision: 218191
- Proper interface dir

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Helio Chissini de Castro <helio@mandriva.com> 0.81.0-1mdv2009.0
+ Revision: 214729
- Preparing full 0.81 snapshot

* Fri May 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.81.0-0.811818.1mdv2009.0
+ Revision: 210703
- New snapshot

* Fri May 16 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.80.0-3.808261.4mdv2009.0
+ Revision: 208092
- New snapshot ( needed by kdepimlibs4 4.0.74 )
- Rediff patch 0

* Thu May 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.80.0-3.805338.4mdv2009.0
+ Revision: 204513
- Fix automoc detection on x86_64
- New snapshot (needed by kdepimlibs 4.0.763)

* Wed May 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.80.0-2mdv2009.0
+ Revision: 202655
- Add buildrequires
- Fix file list ( Step 1/2 )

* Mon May 05 2008 Helio Chissini de Castro <helio@mandriva.com> 0.80.0-1mdv2009.0
+ Revision: 201353
- Fixed build using provided tarball on the kdesupport
- Changed akonadi package to akonadi-common and made library depends on that
- New upstream package

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Conflict with old kde4-akonadi
    - Add Obsolete on libakonadiprivate4
    - I do not know if user roo exist but use root instead :D
    - Fix Conflicts and obsoletes
    - Add conflicts to ease upgrade
    - Fix Spec file
      Add Shared-mime-info as BuildRequire
    - Fix version
    - Fix version
    - import akonadi


